ODBC Binding for Ruby
     
 
 
 
  For accessing ODBC data sources from the Ruby language, I borrowed ideas from the MySQL Ruby API by Tomita Masahiro, the Ruby extension for PostgreSQL by Yukuhiro Matsumoto, Eiji Matsumoto, and Noboru Saitou, the tclodbc package by Roy Nurmi, Tom Pondexter, and Rob Savoye, the draft DBI specification by Michael Neumann, and started to write a Ruby extension module.

So far it has been tested on Linux (Ruby 1.6, 1.8.1-6, 1.9.1, 2.0.0, unixODBC 2.[0-2] or iODBC 2.50 and 3.52, MySQL 3.22), Windows NT4SP6 (Ruby 1.6 and 1.8.1, MSVC++ 6.0, MS Jet Engine, MySQL 3.22 remote), and Windows 2000 (Ruby 1.6.8, Cygwin, MS Jet Engine). Since version 0.98 UTF8 support is available. Since version 0.999 it is reported to work in combination with the odbc-rails ODBC Data Adapter for Ruby on Rails.
 
Docs and Download   Refer to the README, ChangeLog, and the module's documentation.

Get the source tarball of version 0.99995, or as Ruby gem, or earlier versions 0.99994, 0.99993, 0.99992, 0.99991, 0.9999, 0.9998, 0.9997, 0.9996, 0.9995, 0.9994, 0.9993, 0.9992, 0.9991, 0.999, 0.998, 0.997, 0.996, 0.995, 0.994, 0.993, 0.992, 0.991, 0.99, 0.98, 0.97, 0.96, 0.95, 0.94, 0.93, 0.92, 0.91, 0.9, 0.8, 0.7, and 0.6.

For Win32 operating systems DLLs of 0.997 are available in i386-msvcrt-ruby-odbc.zip. It contains the files odbc.so and odbc_utf8.so which need to be copied into the .../ruby/1.8/i386-msvcrt directory of MSVC based Ruby 1.8 installations.

 
Licensing   Copyright (C) 2001-2013 Christian Werner and others
See the file COPYING for license information for versions 0.99 and beyond, and GPL for earlier versions.
 





chw@ch-werner.de
Last update 2013-03-13